Bug 72883 - Volume is set differently on resume from a suspend
Volume is set differently on resume from a suspend
Product: Red Hat Linux
Classification: Retired
Component: apmd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2002-08-28 14:10 EDT by Need Real Name
Modified: 2015-01-07 18:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-16 16:53:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-08-28 14:10:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
On my laptop (an IBM T23) and presumably others, the hardware mixer settings get
reset to an undesirable default after resume. Ideally, apmd should save and
restore them before/after suspend resume. (most notably my Wave and CD setting
get pushed to their max which causes clipping)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.tweak volume levels (on IBM T23 laptop)

Actual Results:  Mixer settings are different

Expected Results:  Mixer settings should have remained the same

Additional info:

I have a quick patch to /etc/sysconfig/apm-scripts/apmscript that solves this
issue. Email jeh@isomorphic.net for it.
Comment 1 Bill Nottingham 2005-03-16 16:53:41 EST
Closing bugs from older, end-of-lifed, releases. Apologies for any lack of response.

Probably not going to add this at this point; if it's not the same and the
module stayed loaded, it's a kernel bug. If the module is *unloaded*, it should
load settings correctly on reload.

Note You need to log in before you can comment on or make changes to this bug.